# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "patina_internal_device_path"
version = "20.0.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A device path parsing implementation for the DXE Core."
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/OpenDevicePartnership/patina"
resolver = "2"

[lib]
name = "patina_internal_device_path"
path = "src/lib.rs"

[dependencies.log]
version = "0.4"
default-features = false

[dependencies.r-efi]
version = "5.0.0"
default-features = false

[dependencies.scroll]
version = "0.13"
features = ["derive"]
default-features = false

[lints.clippy]
undocumented_unsafe_blocks = "warn"
